aboutsummaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorMingli Yu <mingli.yu@windriver.com>2021-01-12 10:30:13 +0800
committerMingli Yu <mingli.yu@windriver.com>2021-01-12 11:01:09 +0800
commitf9227394b744d1642deea02ba588e35ad36399a6 (patch)
treec43b69b90dc68279c80fce4899df7d3bdd854087 /tests
parent7b776a8c005b60572f49797e81287540f99fff1f (diff)
downloadmcelog-f9227394b744d1642deea02ba588e35ad36399a6.tar.gz
test: avoid the pfa test hang
Per [1], the pfa test needs to install page-types and the pfa test will hang forever if there is no page-types installed. Improve the test script to avoid the pfa test hang. [1] https://git.kernel.org/pub/scm/utils/cpu/mce/mcelog.git/tree/tests/pfa/PFA_test_howto?id=7b776a8c005b60572f49797e81287540f99fff1f Signed-off-by: Mingli Yu <mingli.yu@windriver.com>
Diffstat (limited to 'tests')
-rwxr-xr-xtests/test3
1 files changed, 3 insertions, 0 deletions
diff --git a/tests/test b/tests/test
index 020ae2b..320f57f 100755
--- a/tests/test
+++ b/tests/test
@@ -47,6 +47,9 @@ do
# Inject mce records and run mcelog in parallel.
# So that the mce records can be consumed by mcelog in time (avoid mce record overflow).
./inject $conf &
+ if [ "$1" = "pfa" ] ; then
+ which page-types > /dev/null 2>&1 || continue
+ fi
$D ../../mcelog --foreground --daemon --debug-numerrors --config $conf --logfile $log >> result
# let triggers finish